NUMFMT(1)

NOM
numfmt - Convertir des nombres vers ou à partir de formats lisibles par un humain

SYNOPSIS
numfmt [OPTION]... [NOMBRE]...

DESCRIPTION

Reformater le ou les NOMBREs, ou les nombres de l'entrée standard si aucun n'est indiqué.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--debug
    Afficher les avertissements en cas d'entrée incorrecte

-d, --delimiter=X
    Utiliser X au lieu d'une tabulation comme délimiteur de champs

--field=N
    Remplacer le nombre dans le champs d'entrée N (1 par défaut)

--format=FORMAT
    Utiliser le type printf de virgule flottante FORMAT ; consultez FORMAT plus bas pour des précisions

--from=UNIT
    Mettre automatiquement à l'échelle « UNIT » les nombres en entrée ; « none » par défaut ; consultez UNIT plus bas

--from-unit=N
    La taille d'unité en entrée (au lieu de 1 par défaut)

--grouping
    Grouper les chiffres ensemble (par exemple 1 000 000) en utilisant le groupement défini dans les paramètres régionaux (donc sans effet avec les locales C/POSIX)

--header[=N]
    Afficher (sans conversion) les N premières lignes d'en-tête ; N vaut 1 par défaut si non indiqué

--invalid=MODE
    Mode d'échec pour les nombres incorrects ; MODE peut être « abort » (par défaut), « fail », « warn » ou « ignore »

--padding=N
    Remplir la sortie avec N caractères ; N positif alignera à droite. N négatif alignera à gauche ; le remplissage est ignoré si la sortie est plus grande que N ; le remplissage est automatique par défaut si un blanc est trouvé

--round=MÉTHODE
    Utiliser MÉTHODE pour arrondir lors de la mise à l'échelle ; MÉTHODE peut être : « up », « down », « from-zero » (par défaut), « towards-zero » ou « nearest »

--suffix=SUFFIXE
    Ajouter le SUFFIXE aux nombres en sortie, et accepter le SUFFIXE facultatif aux nombres en entrée

--to=UNIT
    Mettre à l'échelle automatiquement les nombres en sortie à « UNIT » ; consultez UNIT plus bas

--to-unit=N
    La taille d'unité en sortie (au lieu de 1 par défaut)

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

  options UNIT

none
    aucune mise à l'échelle automatique n'est effectuée ; les suffixes déclencheront une erreur

auto
    accepter un suffixe facultatif d'une ou deux lettres :

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576, etc.

si  accepter un suffixe facultatif d'une ou deux lettres :

    1K = 1000, 1M = 1000000, etc.

iec accepter un suffixe facultatif d'une ou deux lettres :

    1K = 1024, 1M = 1048576, etc.

iec-i
    accepter un suffixe facultatif de deux lettres :

    1Ki = 1024, 1Mi = 1048576, etc.

FORMAT doit être adapté à l'affichage d'un argument de virgule flottante « %f ». Le guillemet facultatif (%'f) activera --grouping (si permis avec les paramètres régionaux actuels). Une valeur de largeur facultative (%10f) remplira la sortie. Une largeur nulle facultative (%010f) remplira le nombre de zéros à gauche. Une valeur négative facultative (%-10f) alignera à gauche.

Le code de retour est 0 si tous les nombres en entrée ont été convertis sans erreur. Par défaut, numfmt s'arrêtera à la première erreur de conversion avec un code de retour de 2. Avec --invalid='fail', un avertissement est affiché à chaque erreur de conversion et le code de retour est 2. Avec --invalid='warn', toutes les erreurs de conversion sont diagnostiquées, mais le code de retour est 0. Avec --invalid='ignore', les erreurs de conversion ne sont pas diagnostiquées, et le code de retour est 0.

EXEMPLES

    $ numfmt --to=si 1000

    -> "1.0K"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df | numfmt --header --field 2 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTEUR
Écrit par Assaf Gordon.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de numfmt à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/numft>
aussi disponible localement à l’aide de la commande : info '(coreutils) numfmt invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Bastien Scher <bastien0705@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.